Subject: Re: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Sep 2023 13:45:05 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 17 Sep 2023 12:02:16 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >
> > I'm trying to figure out when could the autoloaded bindings become in
> > effect so as to countermand your use-package bindings (if this is what
> > happens; does it?).
> 
> Sorry, forgot to adress that question.
> 
> Yes, that's what is happening.  Everything works normally for a long
> time, I do whatever it is in Emacs, and at some point I notice f2
> isn't working as before.
> 
> ALas, even when the trace-function kicked in, I wasn't able to tell what
> exactly it was that triggered that.

Could it be that you (or something else) reloaded loaddefs?